Package weka.knowledgeflow.steps

# Class AlterRelationName

java.lang.Object
weka.knowledgeflow.steps.BaseStep
weka.knowledgeflow.steps.AlterRelationName

All Implemented Interfaces:
  `Serializable`, `BaseStepExtender`, `Step`

@KFStep(name="AlterRelationName", category="Flow", toolTipText="Alter the relation name in data sets", iconPath="weka/gui/knowledgeflow/icons/DiamondPlain.gif") public class AlterRelationName extends BaseStep
Step that alters the relation name for data received via instance, dataSet, trainingSet and testSet connections

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlterRelationName()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getIncomingConnectionTypes()`
  Get the list of acceptable incoming connection types
  `String`
  `getModificationText()`
  Get the modification text to apply
  `weka.knowledgeflow.steps.AlterRelationName.ModType`
  `getModType()`
  Get the modification type to apply
  `List<String>`
  `getOutgoingConnectionTypes()`
  Get the list of outgoing connection types that can be made given the current state of incoming connections
  `String`
  `getRegexMatch()`
  Get the match string for regex modifications
  `boolean`
  `getReplaceAll()`
  Get whether to replace all regular expression matches, or just the first.
  `void`
  `processIncoming(Data data)`
  Process incoming data
  `void`
  `setModificationText(String text)`
  Set the modification text to apply
  `void`
  `setModType(weka.knowledgeflow.steps.AlterRelationName.ModType mod)`
  Set the modification type to apply
  `void`
  `setRegexMatch(String match)`
  Set the match string for regex modifications
  `void`
  `setReplaceAll(boolean replaceAll)`
  Set whether to replace all regular expression matches, or just the first.
  `void`
  `stepInit()`
  Initialize the step

  ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

  `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AlterRelationName

    public AlterRelationName()

- ## Method Details

  - ### stepInit

    public void stepInit() throws WekaException
    Initialize the step
    Throws:
      `WekaException` - if a problem occurs

  - ### setModificationText

    @OptionMetadata(displayName="Text to use", description="The text to modify the relation name with", displayOrder=0) public void setModificationText(String text)
    Set the modification text to apply
    Parameters:
      `text` - the text to apply

  - ### getModificationText

    public String getModificationText()
    Get the modification text to apply
    Returns:
      the modification text

  - ### setModType

    @OptionMetadata(displayName="Relation name modification type", description="The type of modification to apply", displayOrder=1) public void setModType(weka.knowledgeflow.steps.AlterRelationName.ModType mod)
    Set the modification type to apply
    Parameters:
      `mod` - the modification type to apply

  - ### getModType

    public weka.knowledgeflow.steps.AlterRelationName.ModType getModType()
    Get the modification type to apply
    Returns:
      the modification type to apply

  - ### setRegexMatch

    @OptionMetadata(displayName="Regular expression", description="Regular expression to match when performing a REGEX modification", displayOrder=2) public void setRegexMatch(String match)
    Set the match string for regex modifications
    Parameters:
      `match` - the regular expression to apply for matching

  - ### getRegexMatch

    public String getRegexMatch()
    Get the match string for regex modifications
    Returns:
      the regular expression to apply for matching

  - ### setReplaceAll

    @OptionMetadata(displayName="Replace all regex matches", description="Replace all matching occurrences if set to true, or just the first match if set to false", displayOrder=3) public void setReplaceAll(boolean replaceAll)
    Set whether to replace all regular expression matches, or just the first.
    Parameters:
      `replaceAll` - true to replace all regex matches

  - ### getReplaceAll

    public boolean getReplaceAll()
    Get whether to replace all regular expression matches, or just the first.
    Returns:
      true to replace all regex matches

  - ### processIncoming

    public void processIncoming(Data data) throws WekaException
    Process incoming data
    Specified by:
      `processIncoming` in interface `BaseStepExtender`
    Specified by:
      `processIncoming` in interface `Step`
    Overrides:
      `processIncoming` in class `BaseStep`
    Parameters:
      `data` - the payload to process
    Throws:
      `WekaException` - if a problem occurs

  - ### getIncomingConnectionTypes

    public List<String> getIncomingConnectionTypes()
    Get the list of acceptable incoming connection types
    Returns:
      the list of acceptable incoming connection types

  - ### getOutgoingConnectionTypes

    public List<String> getOutgoingConnectionTypes()
    Get the list of outgoing connection types that can be made given the current state of incoming connections
    Returns:
      a list of outgoing connection types that can be made